API Documentation Download OpenAPI specification

Fetch Account Suspensions

GEThttps://bll.titan.email/partner/fetchActiveAccountSuspensions

API to fetch list of active suspensions for an Email Account on Titan Mail Cloud Infra using the titanAccountId.

Query parameters

titanAccountIdnumberrequired

The Titan account ID for which active suspensions are required

Example: 123

Responses

200OKapplication/json
suspensionsstring[]

The suspension type.

  • abuse, expiry, charge_back, etc
400InvalidParameter
  • titanAccountId is not provided or is invalid
403FORBIDDEN
  • Partner does not own the specified account
See General Errors for other errors that this API can return.
GET/partner/fetchActiveAccountSuspensions
curl 'https://bll.titan.email/partner/fetchActiveAccountSuspensions?titanAccountId=123' \
  --header 'Authorization: API.Key'
Response
{
  "suspensions": [
    "string"
  ]
}